| Home | Libraries | People | FAQ | More

## Struct time_resolution_traits_adapted32_impl

boost::date_time::time_resolution_traits_adapted32_impl — traits struct for time_resolution_traits implementation type

## Synopsis

    // In header: <boost/date_time/time_resolution_traits.hpp>

    struct time_resolution_traits_adapted32_impl {
      // types
      typedef boost::int32_t                                  int_type;
      typedef boost::date_time::int_adapter< boost::int32_t > impl_type;

      // public static functions
      static int_type as_number(impl_type);
      static bool is_adapted();
    };

## Description

### `time_resolution_traits_adapted32_impl` public static functions

1.     static int_type as_number(impl_type i);

2.     static bool is_adapted();

   Used to determine if implemented type is `int_adapter` or int.